Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class JPDABreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint

Direct Known Subclasses:
  ClassLoadUnloadBreakpoint, ExceptionBreakpoint, FieldBreakpoint, LineBreakpoint, MethodBreakpoint, ThreadBreakpoint

    public class JPDABreakpoint

extends Breakpoint

Abstract definition of JPDA breakpoint.

Field Summary
`static String` | `PROP_HIDDEN` Property name constant.
`static String` | `PROP_PRINT_TEXT` Property name constant.
`static String` | `PROP_SUSPEND` Property name constant.
`static int` | `SUSPEND_ALL` Suspend property value constant.
`static int` | `SUSPEND_EVENT_THREAD` Suspend property value constant.
`static int` | `SUSPEND_NONE` Suspend property value constant.

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`void` | `addJPDABreakpointListener(JPDABreakpointListener listener)` Adds a JPDABreakpointListener.
`void` | `disable()` Disables the breakpoint.
`void` | `enable()` Enables the breakpoint.
`String` | `getPrintText()` Gets value of print text property.
`int` | `getSuspend()` Gets value of suspend property.
`boolean` | `isEnabled()` Test whether the breakpoint is enabled.
`boolean` | `isHidden()` Gets value of hidden property.
`void` | `removeJPDABreakpointListener(JPDABreakpointListener listener)` Removes a JPDABreakpointListener.
`void` | `setHidden(boolean h)` Sets value of hidden property.
`void` | `setPrintText(String printText)` Sets value of print text property.
`void` | `setSuspend(int s)` Sets value of suspend property.

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SUSPEND

    public static final String PROP_SUSPEND

  Property name constant.

  See Also:
    Constant Field Values

### PROP_HIDDEN

    public static final String PROP_HIDDEN

  Property name constant.

  See Also:
    Constant Field Values

### PROP_PRINT_TEXT

    public static final String PROP_PRINT_TEXT

  Property name constant.

  See Also:
    Constant Field Values

### SUSPEND_ALL

    public static final int SUSPEND_ALL

  Suspend property value constant.

  See Also:
    Constant Field Values

### SUSPEND_EVENT_THREAD

    public static final int SUSPEND_EVENT_THREAD

  Suspend property value constant.

  See Also:
    Constant Field Values

### SUSPEND_NONE

    public static final int SUSPEND_NONE

  Suspend property value constant.

  See Also:
    Constant Field Values

Method Detail

### getSuspend

    public int getSuspend()

  Gets value of suspend property.

  Returns:
    value of suspend property

### setSuspend

    public void setSuspend(int s)

  Sets value of suspend property.

  Parameters:
    `s` - a new value of suspend property

### isHidden

    public boolean isHidden()

  Gets value of hidden property.

  Returns:
    value of hidden property

### setHidden

    public void setHidden(boolean h)

  Sets value of hidden property.

  Parameters:
    `h` - a new value of hidden property

### getPrintText

    public String getPrintText()

  Gets value of print text property.

  Returns:
    value of print text property

### setPrintText

    public void setPrintText(String printText)

  Sets value of print text property.

  Parameters:
    `printText` - a new value of print text property

### isEnabled

    public boolean isEnabled()

  Test whether the breakpoint is enabled.

  Specified by:
    `isEnabled` in class `Breakpoint`
  Returns:
    `true` if so

### disable

    public void disable()

  Disables the breakpoint.

  Specified by:
    `disable` in class `Breakpoint`

### enable

    public void enable()

  Enables the breakpoint.

  Specified by:
    `enable` in class `Breakpoint`

### addJPDABreakpointListener

    public void addJPDABreakpointListener(JPDABreakpointListener listener)

  Adds a JPDABreakpointListener.

  Parameters:
    `listener` - the listener to add

### removeJPDABreakpointListener

    public void removeJPDABreakpointListener(JPDABreakpointListener listener)

  Removes a JPDABreakpointListener.

  Parameters:
    `listener` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.